Loading...
Searching...
No Matches
read_ppm.c File Reference

GRASS png display driver - read image (lower level functions). More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/read_ppm.c:

Go to the source code of this file.

## Functions

void | read_ppm (void)
void | read_pgm (void)

## Detailed Description

GRASS png display driver - read image (lower level functions).

(C) 2007-2014 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file pngdriver/read_ppm.c.

## Function Documentation

## read_pgm()

void read_pgm | ( | void |  | ) |

Definition at line 70 of file pngdriver/read_ppm.c.

References G_fatal_error(), G_free(), G_store(), png, png_get_color(), and x.

Referenced by read_image().

## read_ppm()

void read_ppm | ( | void |  | ) |

Definition at line 22 of file pngdriver/read_ppm.c.

References b, g, G_fatal_error(), png, png_get_color(), r, and x.

Referenced by read_image().